NodeRings Docs

Create VMTemplate

POST
/v1/vmtemplate
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

name?string
distro?string
  • DISTRO_UBUNTU_22_04: Ubuntu distributions
  • DISTRO_FEDORA_43: Fedora distributions
  • DISTRO_DEBIAN_12: Debian distributions
  • DISTRO_CENTOS_9: CentOS distributions
  • DISTRO_ROCKY_9: Rocky Linux distributions
  • DISTRO_ALMALINUX_9: AlmaLinux distributions
Default"DISTRO_UNSPECIFIED"
Value in"DISTRO_UNSPECIFIED" | "DISTRO_UBUNTU_22_04" | "DISTRO_UBUNTU_24_04" | "DISTRO_UBUNTU_26_04" | "DISTRO_FEDORA_43" | "DISTRO_FEDORA_44" | "DISTRO_DEBIAN_12" | "DISTRO_DEBIAN_13" | "DISTRO_CENTOS_9" | "DISTRO_CENTOS_10" | "DISTRO_ROCKY_9" | "DISTRO_ROCKY_10" | "DISTRO_ALMALINUX_9" | "DISTRO_ALMALINUX_10"
templateId?integer
Formatint32
nodeId?string
cloudInitTemplateId?string
proxmoxCpuType?string

Proxmox cpu= guest CPU model for VMs using this template. Default: host.

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/vmtemplate" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "distro": "DISTRO_UNSPECIFIED",  "templateId": 0,  "nodeId": "string",  "cloudInitTemplateId": "string",  "proxmoxCpuType": "string"}'
{
  "success": true
}